### Method

# AppStream Metadata add_component

#### Declaration [src]

    void
    as_metadata_add_component (
      AsMetadata* metad,
      AsComponent* cpt
    )

#### Description [src]

Add an `AsComponent` to the list of components. This can be used to add multiple components in order to produce a distro-XML AppStream metadata file.

#### Parameters

`cpt`

  Type: `AsComponent`

  No description available.

  The data is owned by the caller of the method.